ListSubscriptions
Returns a summary of all flat-rate pricing subscriptions in the calling account.
Request Syntax
POST /v1/ListSubscriptions HTTP/1.1
Content-type: application/json
{
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- nextToken
-
A token from a previous
ListSubscriptionsresponse. If the response included anextToken, there are more results available. Pass this value to retrieve the next page of results.Type: String
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"subscriptionSummaries": [
{
"arn": "string",
"createdAt": "string",
"eTag": "string",
"planFamily": "string",
"planTier": "string",
"resourceArns": [ "string" ],
"scheduledChange": {
"changeType": "string",
"effectiveDate": "string",
"planTier": "string",
"usageLevel": "string"
},
"status": "string",
"statusReason": "string",
"updatedAt": "string",
"usageLevel": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- subscriptionSummaries
-
The list of subscription summaries for the calling account.
Type: Array of SubscriptionSummary objects
- nextToken
-
A token that indicates there are more results available. Pass this value in a subsequent
ListSubscriptionsrequest to retrieve the next page of results.Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have the required permissions to perform this operation. Verify that your IAM policy grants access to this action.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred on the server. Retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified subscription was not found. Verify that the ARN is correct and that the subscription belongs to your account.
- resourceId
-
The identifier of the resource that was not found.
HTTP Status Code: 404
- ThrottlingException
-
The request rate exceeds the allowed limit. Wait briefly and retry the request.
HTTP Status Code: 429
- ValidationException
-
The request failed a business rule validation. For example, the specified resource might already be associated with another subscription, or the subscription might not be in the required state for this operation.
- resourceId
-
The identifier of the resource that failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific Amazon SDKs, see the following: